;; $Id: dbinfo.dsl 0.1 1997/07/31 14:51:33 nwalsh Exp $

;; ................................ INFO ................................

(element SETINFO (empty-sosofo))
(element BOOKINFO 
  ;; If a titlepage is desired, produce it
  ;; If a TOC is desired, produce it after the title page
  ;; If a titlepage is not desired, but a TOC is, 
  (make sequence
    (if %generate-titlepage%
	(make element gi: "DIV"
	      attributes: (list
			   (list "CLASS" (gi)))

	      (make element gi: "TABLE"
		    attributes: (list
				 (list "WIDTH" "515")
				 (list "BORDER" "0")
				 (list "CELLPADDING" "0")
				 (list "CELLSPACING" "0"))
		    (make element gi: "TR"
			  (make element gi: "TH"
				attributes: (list
					     (list "COLSPAN" "3")
					     (list "ALIGN" "center"))
				($nav-title-page-banner$))))
	      
	      (with-mode titlepage-mode 
		(process-children)))

	(make element gi: "H1"
	      (with-mode admon-caption-mode
		(process-first-descendant "TITLE"))))

    (if (and %generate-toc% %generate-toc-in-front%)
	(MAKETOC)
	(empty-sosofo))))

(element DOCINFO (empty-sosofo))
(element SECT1INFO (empty-sosofo))
(element SECT2INFO (empty-sosofo))
(element SECT3INFO (empty-sosofo))
(element SECT4INFO (empty-sosofo))
(element SECT5INFO (empty-sosofo))
(element REFSECT1INFO (empty-sosofo))
(element REFSECT2INFO (empty-sosofo))
(element REFSECT3INFO (empty-sosofo))
(element SERIESINFO (empty-sosofo))
(element ARTHEADER (process-children))

